<?xml version="1.0"?> 

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns="http://www.w3.org/TR/REC-html40"
		xmlns:java="http://xml.apache.org/xslt/java"
		>
<xsl:import href="MNTemplate.xsl"/>

<xsl:output method="html"/>


<xsl:variable name="title">Ruleset</xsl:variable>

<xsl:template name="body">


		<H2>Contents</H2>

		<!--Contents table-->
	<xsl:for-each select="Ruleset/Section">

		<xsl:variable name="section"></xsl:variable>

		<A>
		<xsl:attribute name="href">#Section<xsl:number/></xsl:attribute>
		<xsl:number/> - <xsl:value-of select="@name"/>
		</A><BR/>

	</xsl:for-each>
	
		<!--Sections and Rules-->
		<xsl:apply-templates select="Ruleset/Section"/>

</xsl:template>

<xsl:template name="head">
<STYLE>
<xsl:comment>
.term	{
	color: green;
	text-decoration: none;
	font-style: italic;
	}
.term:hover
	{
	color: blue;
	text-decoration: underline;
	}

.blackonwhite
	{
	color: black;
	background-color: white;
	}
</xsl:comment>
</STYLE>
</xsl:template>

<xsl:template match="Section">

<A><xsl:attribute name="name">#Section<xsl:number/></xsl:attribute>
</A>

<CENTER><H2>Section <xsl:number/> - <xsl:value-of select="@name"/></H2></CENTER>

<xsl:apply-templates select="Rule"/>

</xsl:template>


<xsl:template match="Rule">

<!--Label for links-->
<A><xsl:attribute name="NAME">#Rule<xsl:number level="multiple" count="Section|Rule" format="1.1"/></xsl:attribute>
</A>

<h3><xsl:number level="multiple" count="Section|Rule" format="1.1"/> - <xsl:value-of select="@name"/></h3>
<BLOCKQUOTE>
	<xsl:apply-templates/>
</BLOCKQUOTE>

</xsl:template>

<xsl:template match="Para">
	<P>
		<xsl:apply-templates/>
	</P>
</xsl:template>

<xsl:template match="Actions">

<TABLE BORDER="1" CLASS="blackonwhite">
		<TR>
		<TD><B>Name</B></TD>	
		<TD><B>Cost</B></TD>	
		<TD><B>Duration</B></TD>
		<TD><B>Phase</B></TD>
		<TD><B>Details</B></TD>
		</TR>
	
	<xsl:apply-templates>
		<xsl:sort select="@name"/>
	</xsl:apply-templates>
</TABLE>
		
</xsl:template>


<xsl:template match="Action|Gambit">
		<TR>
		<TD VALIGN="TOP">
			<xsl:if test="name(.)='Gambit'">
				<FONT color="red"><xsl:value-of select="@name"/></FONT>
			</xsl:if>

			<xsl:if test="not(name(.)='Gambit')">
				<xsl:value-of select="@name"/>
			</xsl:if>
			
		</TD>	

		<TD VALIGN="TOP"><xsl:value-of select="@cost"/></TD>	
		<TD VALIGN="TOP"><xsl:value-of select="@duration"/></TD>	
		<TD VALIGN="TOP"><xsl:value-of select="@phase"/></TD>	
		<TD VALIGN="TOP"><xsl:apply-templates/></TD>
		</TR>
</xsl:template>

<xsl:template match="Prototype">
	<B><xsl:value-of select="."/></B><BR/>
</xsl:template>

<xsl:template match="Stacks">
	<I><xsl:apply-templates/></I>
</xsl:template>

<xsl:template match="Notes">
	<BLOCKQUOTE>
		<B>NOTES:</B>
		<I><xsl:apply-templates/></I>
	</BLOCKQUOTE>
</xsl:template>


<xsl:template match="Glossary">
	<xsl:for-each select="Word">
		<xsl:sort select="@name"/>
		<A>
		<xsl:attribute name="NAME">#glossary.<xsl:value-of select="java:vg.snow.util.XsltExtension.sentenceToUri(string(@name))"/></xsl:attribute>
		</A>
		<B><xsl:value-of select="@name"/>:</B><xsl:text> </xsl:text>
		<xsl:apply-templates/><BR/>
	</xsl:for-each>
</xsl:template>

<xsl:template match="Term">
	<!--This will just let us see parts of the ruleset not converted to italic yet-->
	<xsl:if test="name(..)='Term'">
	<FONT color="red"><xsl:apply-templates/></FONT>
	</xsl:if>

	<A CLASS="term">
	<xsl:attribute name="HREF">#glossary.<xsl:value-of select="java:vg.snow.util.XsltExtension.sentenceToUri(string(.))"/></xsl:attribute>

	<xsl:apply-templates/>
	</A>
</xsl:template>


</xsl:stylesheet>